Subject: Re: [X2Go-Dev] Bug#1422: Clipboard copy-paste not reliable in Windows 10 (x2goclient) to Linux CentOs (x2goserver)

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 10 Dec 2019 11:39:08 +0100

On Tue, Dec 10, 2019 at 11:10 AM Antoine Tran
<[email-masked]> wrote:
> The clipboard in the past versions until now are not really reliable. Many times I have to close the x2goclient window, and reconnect to make it work again. I have some issue to find a reproduce way, but it is occurs oftenly. When it is broken, I can copy paste in CentOs, but not from it to Windows. But then in Windows I can copy paste too, but only from it, as if there were two clipboard. Sometime, it symptom is different: there is a freeze of 3s when in CentOs it tries to copy or to paste from Windows. Sometime, the paste in Windows simply paste nothing, or just a space, but it still work in CentOs.
>
> Clipboard is very handy when it works, so this issue is very inconvenient, sometime I have to close/open the x2goclient many times a day because of this issue. Also, changing clipboard mode from client to server only does not seems to work better. Thank you.

I have done some work on the clipboard code (again), so hopefully the
next nx version (3.5.99.23) will improve the situation. I am not
really sure why the situation has become worse in recent times (as I
conclude from various reports). Please ensure you do _not_ have a
clipboard manager running in CentOS. This it not supported an will
cause unexpected problems.

Uli